set terminal pngcairo size 2.2*640, 2.2*480
set output 'test.png'

#100/mの値
dmglst = '79.8935 80 85 88 89 89.9550 90 91 93 95 97 98.5 104 105 108.5 109 110 112 114 116'
dmgsize = 20
f(a, m) = 550.0/9 - sqrt((a - 550.0/9)**2 + (m>=1 ? 100.0 : 180.0) * (m - 1) / 0.09**2)
set size square
set xr [0:57]
set yr [0:57]
unset key
set sample 3000
set xtics 5
set ytics 5
set mxtics 5
set mytics 5
set grid xtics ytics mxtics mytics 
set grid lt 8 lw 0.5, lt 8 lw 0.3
set style line 1 lw 8
set xlabel "攻撃数a"
set ylabel "防御数d"

#デフォルトの黄色は見にくいため明るい緑色に変更
set linetype  5 lc rgb "#00e17b" lw 1
plot for [i=1:dmgsize] f(x, 100.0/word(dmglst,i)) with line ly i lw 1.3